Your cart is empty

Do you want to shop our Products?
Explore our FreeStyle Libre 2 Sensor and add it to your Cart.

I have updated my FreeStyle LibreLink app to the latest version but I currently do not plan to update my Android operating system to Android 12 or higher. If I decide to update my Android OS in the future to Android 12 or higher, will I be prompted to “Allow Nearby Devices” the next time I open my app?

Yes. If you are on the latest version of the FreeStyle LibreLink app and update your phone’s operating system to Android 12 or higher, you will be prompted with the “Allow Nearby Devices” permission. Press the “Allow” option to turn ON the Nearby Devices permission when prompted.

◊ The FreeStyle LibreLink app is only compatible with certain mobile devices and operating systems. Please check our website for more information about device compatibility before using the app. Use of the FreeStyle LibreLink app may require registration with LibreView.

Loading...